View Issue Details

IDProjectCategoryView StatusLast Update
0021930mantisbtadministrationpublic2016-12-30 15:54
Reporterhiggins911 
Assigned Todregad 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformMS SQL 2014 and above/ IISOSWindows Server 2012 R2OS Version
Product Version1.3.0 
Target Version1.3.5Fixed in Version1.3.5 
Summary0021930: Administrator - Manage Users Error - SQL SERVER VERSION GREATER THAN 2012 NOT SUPPORTED
Description

When you log in as administrator go to "Manage" and try to access the "Manage Users" tab while using MS SQL version newer than 2012 or above you will get an error similar to this: "SQL SERVER VERSION 12.00.5532 NOT SUPPORTED IN mssqlnative DRIVER".

The issue is in the file adodb-mssqlnative.inc.php under function ServerVersion(). The function needs additional elseif for newer versions of SQL Server such as 2014 and 2016.

TagsNo tags attached.

Relationships

Activities

obmsch

obmsch

2016-11-19 05:00

reporter   ~0054545

At least there is detection code for SQL Server 2014 in upstream adodb/master (mnewnham b28cafe Dec 24, 2015).

dregad

dregad

2016-11-19 17:51

developer   ~0054546

ADOdb upstream issue https://github.com/ADOdb/ADOdb/issues/294

dregad

dregad

2016-12-22 11:12

developer   ~0054820

PR https://github.com/mantisbt/mantisbt/pull/979

Related Changesets

MantisBT: master-1.3.x 219a10db

2016-12-22 10:28:52

dregad

Details Diff
Update ADOdb library to 5.20.9

Fixes 0021883, 0021930
mod - library/README.md Diff File
mod - library/adodb Diff File

Issue History

Date Modified Username Field Change
2016-11-18 22:47 higgins911 New Issue
2016-11-19 05:00 obmsch Note Added: 0054545
2016-11-19 17:51 dregad Note Added: 0054546
2016-11-19 17:51 dregad Assigned To => dregad
2016-11-19 17:51 dregad Status new => assigned
2016-11-19 17:51 dregad Product Version 2.0.0-rc.1 => 1.3.0
2016-11-19 17:51 dregad Target Version => 1.3.4
2016-11-27 08:22 dregad Target Version 1.3.4 => 1.3.5
2016-12-22 11:12 dregad Note Added: 0054820
2016-12-24 05:29 dregad Changeset attached => MantisBT master-1.3.x 219a10db
2016-12-24 05:29 dregad Status assigned => resolved
2016-12-24 05:29 dregad Resolution open => fixed
2016-12-24 05:29 dregad Fixed in Version => 1.3.5
2016-12-30 15:54 vboctor Status resolved => closed